r22863 - gnucash/trunk/packaging/win32 - Win32 build: Increase verbosity on check for installed gnome.

Christian Stimming cstim at code.gnucash.org
Tue Apr 2 02:59:08 EDT 2013


Author: cstim
Date: 2013-04-02 02:59:08 -0400 (Tue, 02 Apr 2013)
New Revision: 22863
Trac: http://svn.gnucash.org/trac/changeset/22863

Modified:
   gnucash/trunk/packaging/win32/install-impl.sh
Log:
Win32 build: Increase verbosity on check for installed gnome.

Modified: gnucash/trunk/packaging/win32/install-impl.sh
===================================================================
--- gnucash/trunk/packaging/win32/install-impl.sh	2013-04-02 00:49:19 UTC (rev 22862)
+++ gnucash/trunk/packaging/win32/install-impl.sh	2013-04-02 06:59:08 UTC (rev 22863)
@@ -506,6 +506,7 @@
         quiet ${PKG_CONFIG} --atleast-version=${GCONF_VERSION} gconf-2.0 &&
         quiet ${PKG_CONFIG} --atleast-version=${GTK_VERSION} gtk+-2.0 &&
         quiet ${PKG_CONFIG} --atleast-version=${CAIRO_VERSION} cairo &&
+        quiet ${PKG_CONFIG} --atleast-version=${PIXMAN_VERSION} pixman-1 &&
         quiet ${PKG_CONFIG} --exact-version=${LIBXML2_VERSION} libxml-2.0 &&
         quiet intltoolize --version
     then
@@ -620,13 +621,13 @@
             #perl -pi.bak -e's!^Libs: !Libs: -L\${prefix}/bin !' *.pc
         qpopd
 
-        quiet gconftool-2 --version &&
-        quiet ${PKG_CONFIG} --atleast-version=${GCONF_VERSION} gconf-2.0 &&
-        quiet ${PKG_CONFIG} --atleast-version=${GTK_VERSION} gtk+-2.0 &&
-        quiet ${PKG_CONFIG} --atleast-version=${CAIRO_VERSION} cairo &&
-        quiet ${PKG_CONFIG} --atleast-version=${PIXMAN_VERSION} pixman-1 &&
-        quiet ${PKG_CONFIG} --exact-version=${LIBXML2_VERSION} libxml-2.0 &&
-        quiet intltoolize --version || die "gnome not installed correctly"
+        quiet gconftool-2 --version || die "gnome not installed correctly"
+        quiet ${PKG_CONFIG} --atleast-version=${GCONF_VERSION} gconf-2.0 || die "gnome not installed correctly: no gconf-2.0 with atleast-version=${GCONF_VERSION}"
+        quiet ${PKG_CONFIG} --atleast-version=${GTK_VERSION} gtk+-2.0 || die "gnome not installed correctly: no gtk+-2.0 with atleast-version=${GTK_VERSION}"
+        quiet ${PKG_CONFIG} --atleast-version=${CAIRO_VERSION} cairo || die "gnome not installed correctly: no cairo with atleast-version=${CAIRO_VERSION}"
+        quiet ${PKG_CONFIG} --atleast-version=${PIXMAN_VERSION} pixman-1 || die "gnome not installed correctly: no pixman-1 with atleast-version=${PIXMAN_VERSION}"
+        quiet ${PKG_CONFIG} --exact-version=${LIBXML2_VERSION} libxml-2.0 || die "gnome not installed correctly: no libxml-2.0 with exact-version=${LIBXML2_VERSION}"
+        quiet intltoolize --version || die "gnome not installed correctly: no intltoolize"
     fi
     [ ! -d $_GNOME_UDIR/share/aclocal ] || add_to_env "-I $_GNOME_UDIR/share/aclocal" ACLOCAL_FLAGS
 }



More information about the gnucash-changes mailing list